Subject: linux-next: manual merge of the staging tree with the net-next tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 15 Mar 2018 18:35:31 +1100

Hi all,

Today's linux-next merge of the staging tree got a conflict in:

  drivers/staging/irda/net/af_irda.c

between commit:

  9b2c45d479d0 ("net: make getname() functions return length rather than use int* parameter")

from the net-next tree and commit:

  d64c2a76123f ("staging: irda: remove the irda network stack and drivers")

from the staging tree.

I fixed it up (I just removed the file) and can carry the fix as
necessary. This is now fixed as far as linux-next is concerned, but any
non trivial conflicts should be mentioned to your upstream maintainer
when your tree is submitted for merging.  You may also want to consider
cooperating with the maintainer of the conflicting tree to minimise any
particularly complex conflicts.

-- 
Cheers,
Stephen Rothwell